BP Logo
Home » PLAYER'S HQ 1.13 » JA2 Complete Mods & Sequels » UC/DL 1.13 & AFS » Installing/Playing UC 1.13 on Windows10
Installing/Playing UC 1.13 on Windows10[message #362769] Sat, 27 March 2021 13:03 Go to next message
slim

 
Messages:6
Registered:February 2020
Hello all,
I want to play Urban Chaos again the problem is, I have a newish PC running Windows 10. I am sure I was able to play it on my last machine with Windows 7 but now I need some help.

I followed the manual and used the original installer to obtain die Data-UC folder.
I downloaded the 2014 Stable 1.13 Release 7435+Update (both German version, since that is my original JA2).

I can only play the game in windowed mode (otherwise nothing happens when I click on Launch) and have to set the color depth in the JA2.exe to 16bit (that is a compatibility setting). Not ideal, but ok.
I used the pre-selected setting to start a new game. After the intro the game crashes with a Runtime Error:

File: c:\stuff\1.13\Development\Source Code\1.13 Official Release Source Code 2014 (xxxx)Build\lua\luafunction.h
Line:71
LuaFunction:Call
Execution of luc function 'InitNewGame' failed : [string "scripts\GameInit.lua"]524: attempt to call global 'SetStartingCashDifLevel' (a nil value)

I understand it expects a value other than zero for Starting Cash?
Is there a way I can change this manually?

Edit: There is no folder c:\stuff on my system? (hidden system files are shown)

I would appreciate your help, I was really looking forward to playing the game again!
Regards
slim

[Updated on: Sat, 27 March 2021 13:05]

Re: Installing/Playing UC 1.13 on Windows10[message #362771 is a reply to message #362769] Sat, 27 March 2021 19:28 Go to previous messageGo to next message
Seven.

 
Messages:2518
Registered:December 2012
Location: Russian Federation
Quote:
Execution of luc function 'InitNewGame' failed : [string "scripts\GameInit.lua"]524: attempt to call global 'SetStartingCashDifLevel' (a nil value)
Looks like you are trying to use UC-unstable version with stable 7609 release, it will not work.
Also I don't think any complex mod will work well if installed on German version, unless it has prepared German XMLs.
I would recommend getting English Ja2. If you want the UC version you downloaded, you need to install recommended unstable first.

I also have UC in my unofficial German 7609 modpack, you can try it if everything else fails.



7609+AI (r2138) | Experimental project | Modpack | Youtube | Trunk (r9087) | 1.13 Starter Docs | 1.13 How to get | Win10 fix | Discord


Re: Installing/Playing UC 1.13 on Windows10[message #362772 is a reply to message #362769] Sat, 27 March 2021 20:23 Go to previous messageGo to next message
Kitty

 
Messages:310
Registered:October 2017
Location: Germany
Best you gonna get is "denglish", some stuff will be english.

If you look into german 7609, you'll see a bunch of files starting with "german." (like: German.Backgrounds.xml).
In case one of those files is changed for UC, the game will use the version from UC (english), if not, it will be german.
Since UC also changes quests (including speech and behaviour/reaction, history logs, etc) those will be english too.

I tried it nevertheless with my german version. Here is what I found for you:

The error with lua Starting Cash can be avoided if you choose "vfs_config.UC-113-2014 Stable" in Ini-Editor (instead of just UC113).

The 16-bit thing happened once for me to, but I've no clue why. Couldn't reproduce it, next time I tried, it didn't show up.

I could start, create an Imp, watched initial battle and could talk to Rosebud, the guy where you checkout your equipment and Carmen.

In other mods I had some problems with my german version, one of the reasons why I bought an english one on Steam (less then 10 Euro at the time). It's also on GOG, if you prefer.

Check the link to Win10Fix under sevens post, this should solve performance problems with win10 (it's just drag and drop).

In Ini-Editor, turn Intro to False. True may result in Blackscreen.

Since UC-113 installation is a pain, I'd advice to use sevens modpack to save you all the trouble.



How to get: latest 1.13, 7609 and more | 7609 SCI (eng) | Compiling+SVN

I need more details. (Didi Hallervorden)
Re: Installing/Playing UC 1.13 on Windows10[message #362773 is a reply to message #362772] Sat, 27 March 2021 21:57 Go to previous message
slim

 
Messages:6
Registered:February 2020
Thank you guys. I have not visited this site for a while: the modpack is news to me. Just scrolled through the readme-file: it sounds amazing.
I will try installing it that way.
Previous Topic: help please
Next Topic: Covert Operations Items too advanced
Goto Forum:
  


Current Time: Tue Jun 22 20:45:50 EEST 2021

Total time taken to generate the page: 0.01663 seconds